# # Interface: Element<T, O>

## # Type parameters

Name | Type
--- | ---
`T` | `AnyObject`
`O` | `AnyObject`

## # Properties

### # active

• `Readonly` active: `boolean`

#### # Defined in

element.d.ts:7
(opens new window)

### # options

• `Readonly` options: `O`

#### # Defined in

element.d.ts:8
(opens new window)

### # x

• `Readonly` x: `number`

#### # Defined in

element.d.ts:5
(opens new window)

### # y

• `Readonly` y: `number`

#### # Defined in

element.d.ts:6
(opens new window)

## # Methods

### # getProps

▸ getProps<`P`>(`props`, `final?`): `Pick`<`T`, `P`[`number`]>

#### # Type parameters

Name | Type
--- | ---
`P` | extends keyof `T`[]

#### # Parameters

Name | Type
--- | ---
`props` | `P`
`final?` | `boolean`

#### # Returns

`Pick`<`T`, `P`[`number`]>

#### # Defined in

element.d.ts:12
(opens new window)

### # hasValue

▸ hasValue(): `boolean`

#### # Returns

`boolean`

#### # Defined in

element.d.ts:11
(opens new window)

### # tooltipPosition

▸ tooltipPosition(`useFinalPosition?`): `Point`

#### # Parameters

Name | Type
--- | ---
`useFinalPosition?` | `boolean`

#### # Returns

`Point`

#### # Defined in

element.d.ts:10
(opens new window)